from os import environ

from api.config.default import DefaultSettings


def get_settings() -> DefaultSettings:
    env = environ.get("ENV", "local")
    env_settings = {
        "local": DefaultSettings,
        "prod": None,
    }
    try:
        return env_settings[env]()
    except KeyError:
        return DefaultSettings()
